SET QUOTED_IDENTIFIER ON
SET ANSI_NULLS ON
GO

ALTER FUNCTION [dbo].[_Brk_Tml_NetsisHaritaIl]
(
    @Text NVARCHAR(MAX)
)
RETURNS NVARCHAR(MAX)
AS
BEGIN

    DECLARE @Deger NVARCHAR(MAX);
   SET @Deger =
    
CASE @Text
WHEN 'ADANA' THEN N'Adana'
WHEN 'BALIKESIR' THEN N'Balıkesir'
WHEN 'BILECIK' THEN N'Bilecik'
WHEN 'BINGÖL' THEN N'Bingöl'
WHEN 'BITLIS' THEN N'Bitlis'
WHEN 'BOLU' THEN N'Bolu'
WHEN 'BURDUR' THEN N'Burdur'
WHEN 'BURSA' THEN N'Bursa'
WHEN 'ÇANAKKALE' THEN N'Çanakkale'
WHEN 'ÇANKIRI' THEN N'Çankırı'
WHEN 'ÇORUM' THEN N'Çorum'
WHEN 'ADIYAMAN' THEN N'Adıyaman'
WHEN 'DENIZLI' THEN N'Denizli'
WHEN 'DIYARBAKIR' THEN N'Diyarbakır'
WHEN 'EDIRNE' THEN N'Edirne'
WHEN 'ELAZIG' THEN N'Elazığ'
WHEN 'ERZINCAN' THEN N'Erzincan'
WHEN 'ERZURUM' THEN N'Erzurum'
WHEN 'ESKISEHIR' THEN N'Eskişehir'
WHEN 'GAZIANTEP' THEN N'Gaziantep'
WHEN 'GIRESUN' THEN N'Giresun'
WHEN 'GÜMÜSHANE' THEN N'Gümüşhane'
WHEN 'AFYON' THEN N'Afyon'
WHEN 'HAKKARI' THEN N'Hakkari'
WHEN 'HATAY' THEN N'Hatay'
WHEN 'ISPARTA' THEN N'Isparta'
WHEN 'IÇEL' THEN N'İçel'
WHEN 'ISTANBUL' THEN N'İstanbul'
WHEN 'IZMIR' THEN N'İzmir'
WHEN 'KARS' THEN N'Kars'
WHEN 'KASTAMONU' THEN N'Kastamonu'
WHEN 'KAYSERI' THEN N'Kayseri'
WHEN 'KIRKLARELI' THEN N'Kırıkkale'
WHEN 'AGRI' THEN N'Ağrı'
WHEN 'KIRSEHIR' THEN N'Kırşehir'
WHEN 'KOCAELI' THEN N'Kocaeli'
WHEN 'KONYA' THEN N'Konya'
WHEN 'KÜTAHYA' THEN N'Kütahya'
WHEN 'MALATYA' THEN N'Malatya'
WHEN 'MANISA' THEN N'Manisa'
WHEN 'K.MARAS' THEN N'Kahramanmaraş'
WHEN 'MARDIN' THEN N'Mardin'
WHEN 'MUGLA' THEN N'Muğla'
WHEN 'MUS' THEN N'Muş'
WHEN 'AMASYA' THEN N'Amasya'
WHEN 'NEVSEHIR' THEN N'Nevşehir'
WHEN 'NIGDE' THEN N'Niğde'
WHEN 'ORDU' THEN N'Ordu'
WHEN 'RIZE' THEN N'Rize'
WHEN 'SAKARYA' THEN N'Sakarya'
WHEN 'SAMSUN' THEN N'Samsun'
WHEN 'SIIRT' THEN N'Siirt'
WHEN 'SINOP' THEN N'Sinop'
WHEN 'SIVAS' THEN N'Sivas'
WHEN 'TEKIRDAG' THEN N'Tekirdağ'
WHEN 'ANKARA' THEN N'Ankara'
WHEN 'TOKAT' THEN N'Tokat'
WHEN 'TRABZON' THEN N'Trabzon'
WHEN 'TUNCELI' THEN N'Tunceli'
WHEN 'SANLIURFA' THEN N'Şanlıurfa'
WHEN 'USAK' THEN N'Uşak'
WHEN 'VAN' THEN N'Van'
WHEN 'YOZGAT' THEN N'Yozgat'
WHEN 'ZONGULDAK' THEN N'Zonguldak'
WHEN 'AKSARAY' THEN N'Aksaray'
WHEN 'BAYBURT' THEN N'Bayburt'
WHEN 'ANTALYA' THEN N'Antalya'
WHEN 'KARAMAN' THEN N'Karaman'
WHEN 'KIRIKKALE' THEN N'Kırıkkale'
WHEN 'BATMAN' THEN N'Batman'
WHEN 'SIRNAK' THEN N'Şırnak'
WHEN 'BARTIN' THEN N'Bartın'
WHEN 'ARDAHAN' THEN N'Ardahan'
WHEN 'IGDIR' THEN N'Iğdır'
WHEN 'YALOVA' THEN N'Yalova'
WHEN 'KARABÜK' THEN N'Karabük'
WHEN 'KILIS' THEN N'Kilis'
WHEN 'ARTVIN' THEN N'Artvin'
WHEN 'OSMANIYE' THEN N'Osmaniye'
WHEN 'DÜZCE' THEN N'Düzce'
WHEN 'AYDIN' THEN N'Aydın'
WHEN '-' THEN N'' END


    RETURN @Deger;
END;
